
# SciTE Customization GUI ----------------------------------------
# Do not remove these lines or anything between them

# Give symbolic names to the set of colours used in the standard styles.
#colour.code.comment.box=fore:#00CECE
#colour.code.comment.line=fore:#00CECE
#colour.code.comment.doc=fore:#3F703F
#colour.code.comment.nested=fore:#A0C0A0
#colour.text.comment=fore:#00CECE,back:#D0F0D0
#colour.other.comment=fore:#007F00
#colour.embedded.comment=back:#E0EEFF
#colour.embedded.js=back:#F0F0FF
#colour.notused=back:#FF0000

#colour.number=fore:#007F7F
#colour.keyword=fore:#00007F
#colour.string=fore:#7F007F
#colour.char=fore:#7F007F
#colour.operator=fore:#000000
#colour.preproc=fore:#7F7F00
#colour.error=fore:#FFFF00,back:#FF0000

# Bascic Global Features Override Global Option
# Global default styles for all languages
# Default

#2e3436
style.*.32=back:#1A1A1A,fore:#d3d7cf,$(font.base)
# Brace highlight
style.*.34=fore:#FF7A49,bold
# Brace incomplete highlight
style.*.35=fore:#FF0000,bold
# Control characters
style.*.36=
# Indentation guides
style.*.37=fore:#FFFFFF,back:#272822,bold
# Line number
style.*.33=back:#C0C0C0,fore:#FFA500,font:$(font.base)
line.margin.visible=1

position.left=-1
position.top=-1
position.width=-1
position.height=-1
position.maximize=1
position.tile=0
minimize.to.tray=0
save.position=0
# Show toolbar and statusbar
toolbar.visible=1
toolbar.usestockicons=1
toolbar.large=1
statusbar.visible=1
#menubar.detachable=1
# undo.redo.lazy=1

end.at.last.line=0
ensure.final.line.end=1
statusbar.visible=1
full.screen.hides.menu=0
title.full.path=1
title.show.buffers=0
blank.margin.right=0
blank.margin.left=6
split.vertical=1
output.vertical.size=0
output.horizontal.size=750
output.initial.hide=1
clear.before.execute=1
output.scroll=1
fold=1
fold.on.open=0
fold.compact=0
fold.preprocessor=0
fold.comment=1
fold.flags=0
fold.symbols=2
fold.highlight=1
fold.highlight.colour=#5FFF5F
fold.margin.colour=#101010
fold.margin.highlight.colour=#070004
fold.margin.width=16

# Set tabs to 4 spaces:
use.tabs=0
tabsize=4
indent.size=4
tab.indents=1

backspace.unindents=1
indent.size.$(au3)=1
view.indentation.guides=1
view.indentation.examine=3
highlight.indentation.guides=1
style.au3.37=fore:#3D3D3D,back:#333333



selection.fore=#FFA500,bold
selection.back=#2D762A
selection.alpha=50
selection.multiple=1
selection.additional.typing=1
selection.additional.fore=#FFA500,bold
selection.additional.back=#FCE8A0
selection.additional.alpha=50

# Find, and Mark keywords found
find.mark=#FFB700
#indicators.alpha=
#indicators.under
find.mark.indicator=style:compositionthick,colour:#FFB700,under

highlight.current.word=1
highlight.current.word.by.style=0
highlight.current.word.autoselectword=0
highlight.current.word.wholeword=1
highlight.current.word.matchcase=0
highlight.current.word.minlength=2
#highlight.current.word.colour=fore:#FFA500,bold,back:#2D762A#0080FF
#2D762A
#AC1B5A
highlight.current.word.indicator=style:roundbox,colour:#21841D,under,outlinealpha:255,fillalpha:80

# Margin for Line Numbers 
margin.width=16

highlight.current.word.stoponspace=0
braces.check=1
braces.sloppy=1
style.au3.34=fore:#8F9D6A,back:#333333,notbold,notitalics,notunderlined
style.au3.35=fore:#CF6A4C,back:#333333,bold,notitalics,notunderlined
caret.fore=#FF275E
caret.width=3
caret.period=500
caret.additional.blinks=1
caret.sticky=1
virtual.space=1
caret.line.back=#455053
caret.line.back.alpha=80
caret.policy.xslop=1
caret.policy.width=20
caret.policy.xstrict=0
caret.policy.xeven=0
caret.policy.xjumps=0
caret.policy.yslop=1
caret.policy.lines=1
caret.policy.ystrict=1
caret.policy.yeven=1
caret.policy.yjumps=0
line.margin.visible=1
line.margin.width=1+
style.*.33=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics
error.select.line=0
style.errorlist.3=fore:#DADADA,back:#333333
error.marker.fore=#DADADA
error.marker.back=#333333
error.inline=0
style.error.1=fore:#CF6A4C,back:#333333
style.error.2=fore:#FF0000,back:#333333

are.you.sure=1
are.you.sure.for.build=0
are.you.sure.on.reload=0
save.all.for.build=1
load.on.activate=1
save.on.deactivate=1
reload.preserves.undo=1
check.if.already.open=1
quit.on.close.last=0
save.recent=1
save.session=1
save.session.advanced=1
save.find=1
session.bookmarks=1
session.folds=1
save.on.timer=0

strip.trailing.spaces=0
open.dialog.in.file.directory=1
calltips.color.highlight=#CF6A4C
style.au3.38=fore:#DADADA,back:#333333
calltips.set.above=0
calltip.au3.ignorecase=1
calltip.*.use.escapes=1
mousehover.calltips.dwelltime=750
calltip.au3.delimiter.style=8
autocomplete.au3.disable=1
autocomplete.choose.single=0
autocomplete.au3.ignorecase=1
autocompleteword.automatic=0
autocomplete.*.fillups =

buffers=100
buffers.zorder.switching=1
tabbar.visible=1
tabbar.multiline=0
tabbar.hideone=0
find.mark=0
find.replace.matchcase=0
find.replace.regexp=0
find.replace.regexp.posix=0
find.replace.wrap=1
find.replace.escapes=0
find.replacewith.focus=1
find.use.strip=0
replace.use.strip=0
find.close.on.find=1
find.in.files.close.on.find=1
find.replace.advanced=1
buffered.draw=1
two.phase.draw=1
technology=1
cache.layout=2
output.cache.layout=0
font.quality=3
ext.lua.auto.reload=1
ext.lua.reset=0

# Set LineLength Delimiter
edge.mode=1
edge.column=150
edge.colour=#B3FFB3

indicators.alpha=50
indicators.under=1
style.au3.32=back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.0=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.1=fore:#A1A1A1,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.2=fore:#A1A1A1,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.3=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.4=fore:#A6E22E,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.5=fore:#F9EE98,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.6=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.7=fore:#8F9D6A,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.8=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.9=fore:#A6E22E,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.10=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.11=fore:#F92672,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.12=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.13=fore:#FFFFFF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.14=fore:#A6E22E,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.15=fore:#0080FF,back:#333333,font:Consolas,size:12,notbold,notitalics,notunderlined
style.au3.16=fore:#00A0FF,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.32=fore:#DADADA,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.4=fore:#A6E22E,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.10=fore:#F92672,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.11=fore:#7587A6,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.12=fore:#F9EE98,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.0=fore:#FFFFFF,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
style.errorlist.1=fore:#DADADA,back:#333333,font:Consolas,size:10,notbold,notitalics,notunderlined
backup.files=0
check.updates.scite4autoit3=1
proper.case=1
debug.msgbox.option=-1
debug.console.option=0
debug.trace.option=3

if PLAT_GTK
#       font.base=font:Bitstream Vera Sans,size:12
#       font.small=font:Bitstream Vera Sans,size:12
#       font.comment=font:Bitstream Vera Serif,size:12
#       font.code.comment.box=$(font.comment)
#       font.code.comment.line=$(font.comment)
#       font.code.comment.doc=$(font.comment)
#       font.code.comment.nested=$(font.comment)
#       font.text=font:Bitstream Charter,size:12
#       font.text.comment=font:Serif,size:12
#       font.embedded.base=font:Serif,size:12
#       font.embedded.comment=font:Serif,size:12
#       font.monospace=font:Bitstream Vera Sans Mono,size:12
#       font.vbs=font:Bitstream Vera Sans Mono,size:12
# Set all code styles to use monospaced font of the same size
#        font.monospace=font:!DejaVu Sans Mono,size:14
        font.monospace=font:Mono Regular,size:12
        font.base=$(font.monospace)
        font.small=$(font.monospace)
        font.comment=$(font.monospace).italics
        font.text=$(font.monospace)
        font.text.comment=$(font.monospace).italics
        font.embedded.base=$(font.monospace)
        font.embedded.comment=$(font.monospace).italics
        font.vbs=$(font.monospace)
        # END OF LINE
        view.eol=0
        eol.mode=LF
        #eol.auto=1

# Do not remove these lines or anything between them
# - SciTE Customization GUI ----------------------------------------
